> For the complete documentation index, see [llms.txt](https://docs.digitalsamba.com/reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalsamba.com/reference/rest-api/content-library.md).

# Content Library

Content library is a collection of files and folders (like a file system) which helps you organize your content and display it inside rooms if needed.

{% hint style="info" %}
Images, pdfs and office files (doc, xls, ppt, docx, xslx, pptx) are supported.
{% endhint %}

{% hint style="warning" %}
There are 2 types of content libraries - **room** libraries and **personal** libraries.&#x20;
{% endhint %}

* Room library is available to all participants with the **Manage content** permission in the room. One room content library can be attached to many rooms if needed. Note that any update to the library is **automatically synced** to all rooms where it is currently being used.
* Personal library can be seen only by the participant it belongs to. To use a personal library, [token](/reference/rest-api/tokens.md) must be applied with the external identifier (**ud**) property populated. The **ud** property identifies the participant across the platform. Participants carry their personal library with them across different rooms including breakout rooms.

{% content-ref url="/pages/6byfR9yTunog45lKC6lF" %}
[Create](/reference/rest-api/content-library/create.md)
{% endcontent-ref %}

{% content-ref url="/pages/0kHDSf0QYEUgp6IUO4Ya" %}
[Edit](/reference/rest-api/rooms/edit.md)
{% endcontent-ref %}

{% content-ref url="/pages/oV0JO3owsrolcmgFCRa1" %}
[List](/reference/rest-api/rooms/list.md)
{% endcontent-ref %}

{% content-ref url="/pages/YEztaIZo05O7y1QVaqL6" %}
[Delete](/reference/rest-api/rooms/delete.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/rest-api/content-library.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
